package com.community.pocket.repository;

import com.community.pocket.domain.Manager;
import com.community.pocket.domain.form.ManagerLogin;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.mongodb.core.MongoTemplate;
import org.springframework.data.mongodb.core.query.Criteria;
import org.springframework.data.mongodb.core.query.Query;
import org.springframework.stereotype.Repository;
import org.springframework.util.DigestUtils;

@Repository
public class ManagerDao {

    @Autowired
    private MongoTemplate mongoTemplate;

    public boolean login(ManagerLogin managerLogin){
        Criteria criteria=Criteria.where("managerName").is(managerLogin.getManagerName());
        try {
            Manager manager= mongoTemplate.findOne(new Query(criteria), Manager.class);
            return manager!=null&&manager.getManagerName().equals(managerLogin.getManagerName())&&manager.getPassword().equals(DigestUtils.md5DigestAsHex(managerLogin.getPassword().getBytes()));
        } catch (Exception e) {
           return false;
        }

    }

    //    查用户
    public boolean hasUser(String name){
        try {
            Manager manager=mongoTemplate.findOne(new Query(Criteria.where("managerName").is(name)),Manager.class);
            return manager!=null;
        } catch (Exception e) {
            return false;
        }
    }

    public boolean save(Manager manager){
        try {
            mongoTemplate.save(manager);
            return true;
        } catch (Exception e) {
            return false;
        }
    }
}
